
Figure - Bug #118703
【IOVDEV-33612】【VC1】【0072】【台架】【EE环境】【副屏】桌面微信图标丢失，再次安装不显示，应
用宝更新也不显示
2023-06-09 11:37 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-06-09

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0106.C104

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-06-08 20:11

【开机次数】：第278次

【前提条件】：

1.副屏上电

2.下载并安装微信

【问题操作步骤】：\

【实际结果】：微信在桌面丢失，无打开微信图标，再次安装安装包不显示，应用宝更新后也不显示

【期望结果】：请查询丢失微信图标的原因

【备注】：桌面找不到微信图标，进入设置-应用-微信-打开，可以打开微信应用，只有在应用宝中卸载后重新安装才在桌面显示

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/L3yTbKs55gk%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/jJtgZ9igTc4%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/dqB2lHsr%2FoE%3D

【影响版本】：副屏：01.00.0106.C104

【VIN】：HRYTTESTVINMGM400

History

#1 - 2023-06-09 15:35 - CD FW-廖涛

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

■ Current conclusion

视频内容与问题描述不符合，麻烦联系客户更新。

■ Next action

测试确认并同步客户。

#2 - 2023-06-17 17:37 - CDTS_TEST 王成
最终通过尝试，可以用以下步骤复现：

1.两个可卸载的应用放入文件夹

2.拖动一个放入最上方中间的卸载框内，弹出卸载弹窗，点击取消

现象：图标消失

■ Next action

根据复现步骤来完善拖动卸载逻辑

这是AOSP原生问题，需要回调卸载的结果，取消和成功卸载要走不同的逻辑。

主要是对只剩一个应用图标的情况做特别处理，在卸载成功后才能将文件夹去掉，显示单个应用图标.

#3 - 2023-07-03 17:25 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户验证通过

#4 - 2023-07-03 17:25 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#5 - 2023-07-03 17:25 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
